import fastGlob from 'fast-glob';
type MaybeArr<T> = T | T[];
export type ReplaceRegexOptions = {
    files: MaybeArr<string>;
    from: string | RegExp | ((file: string) => string | RegExp);
    to: string | ((match: string, file: string) => string);
    dry?: boolean;
    ignore?: string[];
    disableGlobs?: boolean;
    fastGlobOptions?: Parameters<typeof fastGlob>[1];
    countMatches?: boolean;
};
export type ReplaceRegexResult = {
    file: string;
    matchCounts: number;
    replaceCounts: number;
    changed: boolean;
};
/**
 * Uses fast-glob to find and replace text in files. Supports RegExp.
 */
export declare function replaceRegex(options: ReplaceRegexOptions): Promise<ReplaceRegexResult[]>;
export {};
